package hiro.yoshioka.ast.sql.oracle.util;

import hiro.yoshioka.ast.sql.oracle.SimpleNode;



public class WolfParserExceptionCollatorSQLNodeVisitor extends
		DefaultSQLNodeVisitor {
	public Object doJob(SimpleNode node, Object data) {
		if (node.fASTAssist != null && node.fASTAssist.getErrorToken() != null) {
			v.add(node.fASTAssist.getErrorToken());
		}
		SimpleNode n;
		for (int ord = 0; ord < node.jjtGetNumChildren(); ord++) {
			n = (SimpleNode) node.jjtGetChild(ord);
			n.jjtAccept(this, data);
		}
		return v;
	}

}